Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class Signature

    java.lang.Object
      |
      +--java.security.SignatureSpi
            |
            +--java.security.Signature

Direct Known Subclasses:
  Any_ElGamal_PKCS1Signature, Any_RSA_PKCS1Signature

public abstract synchronized class Signature
extends SignatureSpi

Field Summary
`protected static int` | `SIGN`
`protected int` | `state`
`protected static int` | `UNINITIALIZED`
`protected static int` | `VERIFY`

Fields inherited from class java.security.SignatureSpi
`appRandom`

Constructor Summary
`protected` | `Signature(String)`

Method Summary
`Object` | `clone()`
`String` | `getAlgorithm()`
`static Signature` | `getInstance(String)`
`static Signature` | `getInstance(String, String)`
`Object` | `getParameter(String)`
`Provider` | `getProvider()`
`void` | `initSign(PrivateKey)`
`void` | `initSign(PrivateKey, SecureRandom)`
`void` | `initVerify(PublicKey)`
`void` | `setParameter(java.security.spec.AlgorithmParameterSpec)`
`void` | `setParameter(String, Object)`
`byte[]` | `sign()`
`int` | `sign(byte[], int, int)`
`String` | `toString()`
`void` | `update(byte)`
`void` | `update(byte[])`
`void` | `update(byte[], int, int)`
`boolean` | `verify(byte[])`

Methods inherited from class java.security.SignatureSpi
`engineGetParameter, engineInitSign, engineInitSign, engineInitVerify, engineSetParameter, engineSetParameter, engineSign, engineSign, engineUpdate, engineUpdate, engineVerify`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNINITIALIZED

    protected static final int UNINITIALIZED

### SIGN

    protected static final int SIGN

### VERIFY

    protected static final int VERIFY

### state

    protected int state

Constructor Detail

### Signature

    protected Signature(String)

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    clone in class SignatureSpi

### getAlgorithm

    public final String getAlgorithm()

### getInstance

    public static Signature getInstance(String)
                                 throws NoSuchAlgorithmException

### getInstance

    public static Signature getInstance(String,
                                        String)
                                 throws NoSuchAlgorithmException,
                                        NoSuchProviderException

### getParameter

    public final Object getParameter(String)
                              throws InvalidParameterException

### getProvider

    public final Provider getProvider()

### initSign

    public final void initSign(PrivateKey)
                        throws InvalidKeyException

### initSign

    public final void initSign(PrivateKey,
                               SecureRandom)
                        throws InvalidKeyException

### initVerify

    public final void initVerify(PublicKey)
                          throws InvalidKeyException

### setParameter

    public final void setParameter(String,
                                   Object)
                            throws InvalidParameterException

### setParameter

    public final void setParameter(java.security.spec.AlgorithmParameterSpec)
                            throws InvalidAlgorithmParameterException

### sign

    public final byte[] sign()
                      throws SignatureException

### sign

    public final int sign(byte[],
                          int,
                          int)
                   throws SignatureException

### toString

    public String toString()

  Overrides:
    toString in class Object

### update

    public final void update(byte)
                      throws SignatureException

### update

    public final void update(byte[])
                      throws SignatureException

### update

    public final void update(byte[],
                             int,
                             int)
                      throws SignatureException

### verify

    public final boolean verify(byte[])
                         throws SignatureException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.